Index: src/sas/sascalc/calculator/sas_gen.py
===================================================================
--- src/sas/sascalc/calculator/sas_gen.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
+++ src/sas/sascalc/calculator/sas_gen.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
@@ -3,4 +3,6 @@
 SAS generic computation and sld file readers
 """
+from __future__ import print_function
+
 import sas.sascalc.calculator.core.sld2i as mod
 from sas.sascalc.calculator.BaseComponent import BaseComponent
@@ -558,5 +560,5 @@
                             vol_pix = np.append(vol_pix, vol)
                         except:
-                            print "Error: set the sld of %s to zero"% atom_name
+                            print("Error: set the sld of %s to zero"% atom_name)
                             sld_n = np.append(sld_n, 0.0)
                         sld_mx = np.append(sld_mx, 0)
@@ -609,5 +611,5 @@
         Write
         """
-        print "Not implemented... "
+        print("Not implemented... ")
 
 class SLDReader(object):
@@ -1044,5 +1046,5 @@
     from mpl_toolkits.mplot3d import Axes3D
     current_dir = os.path.abspath(os.path.curdir)
-    print current_dir
+    print(current_dir)
     for i in range(6):
         current_dir, _ = os.path.split(current_dir)
Index: src/sas/sascalc/data_util/calcthread.py
===================================================================
--- src/sas/sascalc/data_util/calcthread.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
+++ src/sas/sascalc/data_util/calcthread.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
@@ -4,4 +4,5 @@
 #  \brief Abstract class for defining calculation threads.
 #
+from __future__ import print_function
 
 import thread
@@ -295,5 +296,5 @@
     """
     def __init__(self, n=20000):
-        print thread.get_ident()
+        print(thread.get_ident())
         self.starttime = clock()
         self.done = False
@@ -307,20 +308,20 @@
         self.work2.queue(n)
         self.work3.queue(n)
-        print "Expect updates from Main every second and from thread every 2.5 seconds"
-        print ""
+        print("Expect updates from Main every second and from thread every 2.5 seconds")
+        print("")
         self.work.ready(.5)
         while not self.done:
             sleep(1)
-            print "Main thread %d at %.2f" % (thread.get_ident(),
-                                              clock() - self.starttime)
+            print("Main thread %d at %.2f" % (thread.get_ident(),
+                                              clock() - self.starttime))
 
     def update(self, i=0):
-        print "Update i=%d from thread %d at %.2f" % (i, thread.get_ident(),
-                                                      clock() - self.starttime)
+        print("Update i=%d from thread %d at %.2f" % (i, thread.get_ident(),
+                                                      clock() - self.starttime))
         self.work.ready(2.5)
 
     def complete(self, total=0.0):
-        print "Complete total=%g from thread %d at %.2f" % (total,
+        print("Complete total=%g from thread %d at %.2f" % (total,
                                                     thread.get_ident(),
-                                                    clock() - self.starttime)
+                                                    clock() - self.starttime))
         self.done = True
Index: src/sas/sascalc/data_util/formatnum.py
===================================================================
--- src/sas/sascalc/data_util/formatnum.py	(revision 9a5097cd1c76689d1f997b85ba43d12a95d8f243)
+++ src/sas/sascalc/data_util/formatnum.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
@@ -37,5 +37,5 @@
 formatter.compact flag.
 """
-from __future__ import division
+from __future__ import division, print_function
 
 import math
Index: src/sas/sascalc/data_util/registry.py
===================================================================
--- src/sas/sascalc/data_util/registry.py	(revision b699768550de9d4b35b087234ec1d2a461922bab)
+++ src/sas/sascalc/data_util/registry.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
@@ -6,4 +6,5 @@
 and registers the built-in file extensions.
 """
+from __future__ import print_function
 
 import os.path
Index: src/sas/sascalc/dataloader/data_info.py
===================================================================
--- src/sas/sascalc/dataloader/data_info.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
+++ src/sas/sascalc/dataloader/data_info.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
@@ -16,4 +16,5 @@
 ######################################################################
 
+from __future__ import print_function
 
 #TODO: Keep track of data manipulation in the 'process' data structure.
Index: src/sas/sascalc/dataloader/readers/IgorReader.py
===================================================================
--- src/sas/sascalc/dataloader/readers/IgorReader.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sascalc/dataloader/readers/IgorReader.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
@@ -12,4 +12,6 @@
 #copyright 2008, University of Tennessee
 #############################################################################
+from __future__ import print_function
+
 import os
 
Index: src/sas/sascalc/dataloader/readers/associations.py
===================================================================
--- src/sas/sascalc/dataloader/readers/associations.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sascalc/dataloader/readers/associations.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
@@ -14,4 +14,6 @@
 #copyright 2009, University of Tennessee
 #############################################################################
+from __future__ import print_function
+
 import os
 import sys
@@ -71,5 +73,5 @@
                     logger.error(msg)
     else:
-        print "Could not find reader association settings\n  %s [%s]" % (__file__, os.getcwd())
+        print("Could not find reader association settings\n  %s [%s]" % (__file__, os.getcwd()))
          
          
Index: src/sas/sascalc/dataloader/readers/red2d_reader.py
===================================================================
--- src/sas/sascalc/dataloader/readers/red2d_reader.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sascalc/dataloader/readers/red2d_reader.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
@@ -9,4 +9,6 @@
 #copyright 2008, University of Tennessee
 ######################################################################
+from __future__ import print_function
+
 import os
 import numpy as np
@@ -82,5 +84,5 @@
         detector = Detector()
         if len(output.detector) > 0:
-            print str(output.detector[0])
+            print(str(output.detector[0]))
         output.detector.append(detector)
                 
Index: src/sas/sascalc/fit/AbstractFitEngine.py
===================================================================
--- src/sas/sascalc/fit/AbstractFitEngine.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
+++ src/sas/sascalc/fit/AbstractFitEngine.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
@@ -1,2 +1,3 @@
+from __future__ import print_function
 
 import  copy
@@ -627,3 +628,3 @@
         """
         """
-        print str(self)
+        print(str(self))
Index: src/sas/sascalc/fit/Loader.py
===================================================================
--- src/sas/sascalc/fit/Loader.py	(revision ac07a3acc20dbf79c564bf642aece71a02c2c862)
+++ src/sas/sascalc/fit/Loader.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
@@ -1,2 +1,4 @@
+from __future__ import print_function
+
 # class Loader  to load any king of file
 #import wx
@@ -54,5 +56,5 @@
                     self.dx = np.zeros(len(self.x))
                 except:
-                    print "READ ERROR", line
+                    print("READ ERROR", line)
             # Sanity check
             if not len(self.x) == len(self.dx):
@@ -80,7 +82,7 @@
     load = Load()
     load.set_filename("testdata_line.txt")
-    print load.get_filename() 
+    print(load.get_filename()) 
     load.set_values()
-    print load.get_values()
+    print(load.get_values())
     
             
Index: src/sas/sascalc/fit/expression.py
===================================================================
--- src/sas/sascalc/fit/expression.py	(revision 9a5097cd1c76689d1f997b85ba43d12a95d8f243)
+++ src/sas/sascalc/fit/expression.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
@@ -43,4 +43,6 @@
 Ideally, this interface will change
 """
+from __future__ import print_function
+
 import math
 import re
Index: src/sas/sascalc/pr/fit/AbstractFitEngine.py
===================================================================
--- src/sas/sascalc/pr/fit/AbstractFitEngine.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
+++ src/sas/sascalc/pr/fit/AbstractFitEngine.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
@@ -1,2 +1,3 @@
+from __future__ import print_function
 
 import  copy
@@ -630,3 +631,3 @@
         """
         """
-        print str(self)
+        print(str(self))
Index: src/sas/sascalc/pr/fit/Loader.py
===================================================================
--- src/sas/sascalc/pr/fit/Loader.py	(revision ac07a3acc20dbf79c564bf642aece71a02c2c862)
+++ src/sas/sascalc/pr/fit/Loader.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
@@ -1,2 +1,4 @@
+from __future__ import print_function
+
 # class Loader  to load any king of file
 #import wx
@@ -54,5 +56,5 @@
                     self.dx = np.zeros(len(self.x))
                 except:
-                    print "READ ERROR", line
+                    print("READ ERROR", line)
             # Sanity check
             if not len(self.x) == len(self.dx):
@@ -80,7 +82,7 @@
     load = Load()
     load.set_filename("testdata_line.txt")
-    print load.get_filename() 
+    print(load.get_filename()) 
     load.set_values()
-    print load.get_values()
+    print(load.get_values())
     
             
Index: src/sas/sascalc/pr/fit/expression.py
===================================================================
--- src/sas/sascalc/pr/fit/expression.py	(revision 9a5097cd1c76689d1f997b85ba43d12a95d8f243)
+++ src/sas/sascalc/pr/fit/expression.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
@@ -1,2 +1,4 @@
+from __future__ import print_function
+
 # This program is public domain
 """
Index: src/sas/sascalc/pr/num_term.py
===================================================================
--- src/sas/sascalc/pr/num_term.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
+++ src/sas/sascalc/pr/num_term.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
@@ -1,2 +1,4 @@
+from __future__ import print_function
+
 import math
 import numpy as np
@@ -197,3 +199,3 @@
     # Testing estimator
     est = NTermEstimator(invert)
-    print est.num_terms()
+    print(est.num_terms())
Index: src/sas/sascalc/simulation/analmodelpy/tests/signon.py
===================================================================
--- src/sas/sascalc/simulation/analmodelpy/tests/signon.py	(revision d85c194ea2f78cb2b9b3de9c969e1b8ebea6b6d2)
+++ src/sas/sascalc/simulation/analmodelpy/tests/signon.py	(revision 9c3d784dfd54f5c129d7220da877e5dd6c18f62b)
@@ -17,16 +17,16 @@
     from analmodelpy import analmodelpy as analmodelpymodule
 
-    print "copyright information:"
-    print "   ", analmodelpy.copyright()
-    print "   ", analmodelpymodule.copyright()
+    print("copyright information:")
+    print("   ", analmodelpy.copyright())
+    print("   ", analmodelpymodule.copyright())
 
-    print
-    print "module information:"
-    print "    file:", analmodelpymodule.__file__
-    print "    doc:", analmodelpymodule.__doc__
-    print "    contents:", dir(analmodelpymodule)
+    print()
+    print("module information:")
+    print("    file:", analmodelpymodule.__file__)
+    print("    doc:", analmodelpymodule.__doc__)
+    print("    contents:", dir(analmodelpymodule))
 
-    print
-    print analmodelpymodule.hello()
+    print()
+    print(analmodelpymodule.hello())
 
 # version
Index: src/sas/sascalc/simulation/analmodelpy/tests/testanal_model.py
===================================================================
--- src/sas/sascalc/simulation/analmodelpy/tests/testanal_model.py	(revision d85c194ea2f78cb2b9b3de9c969e1b8ebea6b6d2)
+++ src/sas/sascalc/simulation/analmodelpy/tests/testanal_model.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
@@ -11,4 +11,6 @@
 #  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 # 
+from __future__ import print_function
+
 
 if __name__ == "__main__":
@@ -18,12 +20,12 @@
     from SASsimulation import geoshapespy
 
-    print "copyright information:"
-    print "   ", analmodelpymodule.copyright()
+    print("copyright information:")
+    print("   ", analmodelpymodule.copyright())
 
-    print
-    print "module information:"
-    print "    file:", analmodelpymodule.__file__
-    print "    doc:", analmodelpymodule.__doc__
-    print "    contents:", dir(analmodelpymodule)
+    print()
+    print("module information:")
+    print("    file:", analmodelpymodule.__file__)
+    print("    doc:", analmodelpymodule.__doc__)
+    print("    contents:", dir(analmodelpymodule))
 
     a = geoshapespy.new_sphere(1.0)
Index: src/sas/sascalc/simulation/geoshapespy/tests/testshapes.py
===================================================================
--- src/sas/sascalc/simulation/geoshapespy/tests/testshapes.py	(revision d85c194ea2f78cb2b9b3de9c969e1b8ebea6b6d2)
+++ src/sas/sascalc/simulation/geoshapespy/tests/testshapes.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
@@ -11,4 +11,6 @@
 #  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 # 
+from __future__ import print_function
+
 
 if __name__ == "__main__":
@@ -16,9 +18,9 @@
     from SASsimulation import geoshapespy
 
-    print
-    print "module information:"
-    print "    file:", geoshapespy.__file__
-    print "    doc:", geoshapespy.__doc__
-    print "    contents:", dir(geoshapespy)
+    print()
+    print("module information:")
+    print("    file:", geoshapespy.__file__)
+    print("    doc:", geoshapespy.__doc__)
+    print("    contents:", dir(geoshapespy))
 
     sp = geoshapespy.new_sphere(10)
Index: src/sas/sascalc/simulation/iqPy/tests/signon.py
===================================================================
--- src/sas/sascalc/simulation/iqPy/tests/signon.py	(revision d85c194ea2f78cb2b9b3de9c969e1b8ebea6b6d2)
+++ src/sas/sascalc/simulation/iqPy/tests/signon.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
@@ -11,4 +11,6 @@
 #  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 # 
+from __future__ import print_function
+
 
 if __name__ == "__main__":
@@ -17,15 +19,15 @@
     from iqPy import iqPy as iqPymodule
 
-    print "copyright information:"
-    print "   ", iqPy.copyright()
-    print "   ", iqPymodule.copyright()
+    print("copyright information:")
+    print("   ", iqPy.copyright())
+    print("   ", iqPymodule.copyright())
 
-    print
-    print "module information:"
-    print "    file:", iqPymodule.__file__
-    print "    doc:", iqPymodule.__doc__
-    print "    contents:", dir(iqPymodule)
+    print()
+    print("module information:")
+    print("    file:", iqPymodule.__file__)
+    print("    doc:", iqPymodule.__doc__)
+    print("    contents:", dir(iqPymodule))
 
-    print
+    print()
 
 # version
Index: src/sas/sascalc/simulation/iqPy/tests/testiq.py
===================================================================
--- src/sas/sascalc/simulation/iqPy/tests/testiq.py	(revision d85c194ea2f78cb2b9b3de9c969e1b8ebea6b6d2)
+++ src/sas/sascalc/simulation/iqPy/tests/testiq.py	(revision 9c3d784dfd54f5c129d7220da877e5dd6c18f62b)
@@ -17,5 +17,5 @@
 	iqPy.new_iq(10,0.01,0.4)
 
-	print "pass."
+	print("pass.")
 
 # version
Index: src/sas/sascalc/simulation/pointsmodelpy/tests/signon.py
===================================================================
--- src/sas/sascalc/simulation/pointsmodelpy/tests/signon.py	(revision d85c194ea2f78cb2b9b3de9c969e1b8ebea6b6d2)
+++ src/sas/sascalc/simulation/pointsmodelpy/tests/signon.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
@@ -11,4 +11,6 @@
 #  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 # 
+from __future__ import print_function
+
 
 if __name__ == "__main__":
@@ -17,16 +19,16 @@
     from pointsmodelpy import pointsmodelpy as pointsmodelpymodule
 
-    print "copyright information:"
-    print "   ", pointsmodelpy.copyright()
-    print "   ", pointsmodelpymodule.copyright()
+    print("copyright information:")
+    print("   ", pointsmodelpy.copyright())
+    print("   ", pointsmodelpymodule.copyright())
 
-    print
-    print "module information:"
-    print "    file:", pointsmodelpymodule.__file__
-    print "    doc:", pointsmodelpymodule.__doc__
-    print "    contents:", dir(pointsmodelpymodule)
+    print()
+    print("module information:")
+    print("    file:", pointsmodelpymodule.__file__)
+    print("    doc:", pointsmodelpymodule.__doc__)
+    print("    contents:", dir(pointsmodelpymodule))
 
-    print
-    print pointsmodelpymodule.hello()
+    print()
+    print(pointsmodelpymodule.hello())
 
 # version
Index: src/sas/sascalc/simulation/pointsmodelpy/tests/test2dui.py
===================================================================
--- src/sas/sascalc/simulation/pointsmodelpy/tests/test2dui.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sascalc/simulation/pointsmodelpy/tests/test2dui.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
@@ -7,4 +7,5 @@
 #  Imports:
 #--------------------------------------------------------------------------------
+from __future__ import print_function
 
 import wx
@@ -46,5 +47,5 @@
 
         data = ImageData(value_grid, index_vals)
-        print value_grid, index_vals
+        print(value_grid, index_vals)
         
         # Create the index axes
Index: src/sas/sascalc/simulation/pointsmodelpy/tests/testcomplexmodel.py
===================================================================
--- src/sas/sascalc/simulation/pointsmodelpy/tests/testcomplexmodel.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sascalc/simulation/pointsmodelpy/tests/testcomplexmodel.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
@@ -1,5 +1,8 @@
+from __future__ import print_function
+
 from sasModeling.pointsmodelpy import pointsmodelpy
 from sasModeling.iqPy import iqPy
 from sasModeling.geoshapespy import geoshapespy
+
 
 #First testing: a normal case, a lores model holds a sphere
@@ -61,7 +64,7 @@
   iqPy.OutputIQ(iqcomplex,"testcomplex2.iq")
 
-  print "p(r) is saved in testcomplex2.pr"
-  print "I(Q) is saved in testcomplex2.iq"
-  print "pass"
+  print("p(r) is saved in testcomplex2.pr")
+  print("I(Q) is saved in testcomplex2.iq")
+  print("pass")
 
 #testing 3, insert one empty pdbmodel and one loresmodel
@@ -88,7 +91,7 @@
   iqPy.OutputIQ(iqcomplex,"testcomplex3.iq")
 
-  print "p(r) is saved in testcomplex3.pr"
-  print "I(Q) is saved in testcomplex3.iq"
-  print "pass"
+  print("p(r) is saved in testcomplex3.pr")
+  print("I(Q) is saved in testcomplex3.iq")
+  print("pass")
 
 # Test 2D complex model
@@ -106,6 +109,6 @@
     pointsmodelpy.get_complexpoints(complex,vpcomplex);
  
-    print pointsmodelpy.get_complex_iq_2D(complex,vpcomplex,0.1,0.1);
-    print pointsmodelpy.get_complex_iq_2D(complex,vpcomplex,0.01,0.1);
+    print(pointsmodelpy.get_complex_iq_2D(complex,vpcomplex,0.1,0.1));
+    print(pointsmodelpy.get_complex_iq_2D(complex,vpcomplex,0.01,0.1));
 
 
Index: src/sas/sascalc/simulation/pointsmodelpy/tests/testlores.py
===================================================================
--- src/sas/sascalc/simulation/pointsmodelpy/tests/testlores.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sascalc/simulation/pointsmodelpy/tests/testlores.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
@@ -1,2 +1,5 @@
+from __future__ import print_function
+
+
 if __name__ == "__main__":
 
@@ -10,10 +13,10 @@
 #    print "   ", pointsmodelpymodule.copyright()
 
-    print
-    print "module information:"
-    print "    file:", pointsmodelpy.__file__
-    print "    doc:", pointsmodelpy.__doc__
-    print "    contents:", dir(pointsmodelpy)
-    print "    contents:", dir(geoshapespy)
+    print()
+    print("module information:")
+    print("    file:", pointsmodelpy.__file__)
+    print("    doc:", pointsmodelpy.__doc__)
+    print("    contents:", dir(pointsmodelpy))
+    print("    contents:", dir(geoshapespy))
 
 #    a = geoshapespy.new_singlehelix(10,2,30,2)
@@ -46,7 +49,7 @@
     pointsmodelpy.outputPDB(lm,vp,"modelpy.pseudo.pdb")
 
-    print "calculating distance distribution"
+    print("calculating distance distribution")
     rmax = pointsmodelpy.get_lores_pr(lm,vp)
-    print "finish calculating get_lores_pr, and rmax is:", rmax
+    print("finish calculating get_lores_pr, and rmax is:", rmax)
     pointsmodelpy.outputPR(lm,"testlores.pr")
     pointsmodelpy.get_lores_iq(lm,iq)
@@ -54,7 +57,7 @@
     iqPy.OutputIQ(iq, "testlores.iq")
 
-    print "Testing get I from a single q"
+    print("Testing get I from a single q")
     result = pointsmodelpy.get_lores_i(lm,0.1)
-    print "The I(0.1) is: %s" % str(result) 
+    print("The I(0.1) is: %s" % str(result)) 
 
 # version
Index: src/sas/sascalc/simulation/pointsmodelpy/tests/testlores2d.py
===================================================================
--- src/sas/sascalc/simulation/pointsmodelpy/tests/testlores2d.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sascalc/simulation/pointsmodelpy/tests/testlores2d.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
@@ -1,2 +1,5 @@
+from __future__ import print_function
+
+
 def test_lores2d(phi):
   from sasModeling.pointsmodelpy import pointsmodelpy 
@@ -45,8 +48,8 @@
   value_grid = zeros((100,100),Float)
   width, height = value_grid.shape
-  print width,height
+  print(width,height)
 
   I = pointsmodelpy.calculateI_Qxy(lm,0.00001,0.000002)
-  print I
+  print(I)
 
   Imax = 0
@@ -86,8 +89,8 @@
   value_grid = zeros((100,100),Float)
   width, height = value_grid.shape
-  print width,height
+  print(width,height)
 
   I = pointsmodelpy.calculateI_Qxy(lm,0.00001,0.000002)
-  print I
+  print(I)
 
   Imax = 0
@@ -109,7 +112,7 @@
 if __name__ == "__main__":
 
-  print "start to test lores 2D"
+  print("start to test lores 2D")
 #  test_lores2d(10)
   value_grid = get2d_2()
-  print value_grid
-  print "pass"
+  print(value_grid)
+  print("pass")
